# coding=utf-8
import json

from django.contrib.auth.models import User
from django.test import Client
from django.test import TestCase
from django.urls import reverse

from web.tests.functions import create_worker, create_location


class TestApi(TestCase):
    def setUp(self):
        self.client = Client()
        username = 'piotr'
        password = 'top_secret'
        self.user = User.objects.create_user(
            username=username, email='jacob@bla', password=password)
        self.worker = create_worker(self.user)
        self.client.login(username=username, password=password)

    def test_locations(self):
        location_name = "some location"

        response = self.client.get(reverse('web.api.locations'))
        self.assertEqual(response.status_code, 200)

        create_location(location_name)

        response = self.client.get(reverse('web.api.locations'))
        locations = json.loads(response.content)['locations']

        found = False
        for location in locations:
            if location['name'] == location_name:
                found = True

        self.assertTrue(found)
