import logging

from django.test import TestCase

from web.tests.functions import create_appointment

logger = logging.getLogger(__name__)


class AppointmentModelTests(TestCase):
    def test_title_for_appointment_without_visit(self):
        comment = "some comment title"
        appointment = create_appointment()
        appointment.visit = None
        appointment.comment = comment
        appointment.save()

        self.assertEqual(comment, appointment.title())

    def test_title_for_appointment_with_visit(self):
        appointment = create_appointment()
        self.assertIsNotNone(appointment.title())
